.bookCard__container {
  position: relative;
  width: 22rem;
  height: 33.5rem;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  background-color: var(--clr-white);
  border-radius: 5px;
  color: var(--clr-brown);
}

.bookCard__imgContainer {
  display: flex;
  justify-content: center;
}

.bookCard__img-background,
.bookCard__img {
  height: 220px;
  width: 150px;
  position: relative;
  border: 3px solid var(--clr-white);
  border-radius: 5px;
  background-color: var(--clr-coffee-brown);
  transition: all 0.6s ease-in-out;
}

.bookCard__img {
  top: -2.5rem;
  transform: translate(-55%, 0);
  cursor: pointer;
}

.bookCard__img-background {
  top: -3.5rem;
  transform: translate(55%, 0);
}

.bookCard__heartIcon {
  position: absolute;
  right: 1rem;
  transform: scale(1.2);
  transition: all 0.6s ease-in-out;
  cursor: pointer;
}

.bookCard__detailsContainer {
  position: relative;
  top: -1rem;
  line-height: 1.4em;
  cursor: pointer;
}

.bookCard__firstLine {
  display: flex;
  justify-content: space-between;
}

.bookCard__title {
  margin: 0;
  padding: 0;
  font-size: 1.3em;
  font-weight: 600;
}

.bookCard__rating {
  padding-left: 0.9em;
  font-size: 1.1em;
}

.bookCard__authors {
  margin: 0;
  padding: 0;
}

.bookCard__genreList {
  width: 100%;
  max-height: 3.5rem;
  margin: 0.5rem 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  overflow: hidden;
}

.bookCard__genre {
  margin: 0 0.5rem 0.2rem 0;
  padding: 0.1rem 0.3rem;
  background-color: var(--clr-light-brown);
  border-radius: 5px;
}

.bookCard__description {
  width: 100%;
  margin: 0;
  padding: 0;
  display: -webkit-box;
  -webkit-line-clamp: 6;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-align: justify;
}

.bookCard__btn {
  all: unset;
  width: fit-content;
  margin-top: auto;
  padding: 0.5em 1.8em;
  align-self: center;
  border: 2px solid var(--clr-brown);
  border-radius: 5px;
  color: var(--clr-brown);
  transition: all 0.6s ease-in-out;
  cursor: pointer;
}

.bookCard__container:hover .bookCard__img-background {
  transform: scale(1.1) translate(50%, 3%);
  transform-origin: bottom center;
}

.bookCard__container:hover .bookCard__img {
  transform: scale(1.1) translate(-50%, 3%);
  transform-origin: bottom center;
}

.bookCard__container:hover .bookCard__btn {
  color: var(--clr-white);
  background-color: var(--clr-brown);
}

@media (max-width: 400px) {
  .bookCard__container {
    width: 100%;
    height: 32rem;
    padding: 0.7rem;
  }

  .bookCard__img-background,
  .bookCard__img {
    height: 200px;
    width: 137px;
  }

  .bookCard__heartIcon {
    right: 0.5rem;
    transform: scale(1.1);
  }

  .bookCard__title {
    font-size: 1.2em;
  }

  .bookCard__rating {
    font-size: 1em;
  }

  .bookCard__authors {
    font-size: 0.95em;
  }

  .bookCard__genreList {
    max-height: 3.4rem;
    margin: 0.2rem 0;
  }

  .bookCard__genre {
    margin: 0 0.4rem 0.2rem 0;
    padding: 0.05rem 0.3rem;
    font-size: 0.95em;
  }

  .bookCard__description {
    font-size: 0.95em;
  }

  .bookCard__btn {
    padding: 0.3em 1em;
  }

  .bookCard__container:hover .bookCard__img-background {
    transform: scale(1.05) translate(53%, 3%);
  }

  .bookCard__container:hover .bookCard__img {
    transform: scale(1.05) translate(-53%, 3%);
  }
}
